订阅本站
收藏本站
微博分享
QQ空间分享

LibreOffice HWPFile::TagsRead函数安全漏洞(CVE-2017-7882)

alen 分类:安全维护 时间:2018/11/20 00:00:00 评论: 加入收藏
LibreOffice HWPFile::TagsRead函数安全漏洞(CVE-2017-7882)


发布日期:2017-03-14
更新日期:2017-04-17

受影响系统:

libreoffice libreoffice < 2017-03-14

描述:


CVE(CAN) ID: CVE-2017-7882

LibreOffice是可在各种平台上执行的、与其他主要办公室软体兼容的套件。

LibreOffice 2017-03-14之前版本,在hwpfilter/source/hwpfile.cxx/HWPFile::TagsRead函数中存在安全漏洞,可导致越界写操作。

<*来源:vendor
  *>

建议:


厂商补丁:

libreoffice
-----------
目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载

https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=860
https://github.com/LibreOffice/core/commit/65dcd1d8195069c8c8acb3a188b8e5616c51029c

本文永久更新链接地址:http://www.linuxidc.com/Linux/2017-04/142851.htm

TAG:

文章评论

留言与评论(共有 0 条评论)
   
验证码: